Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 2069
Content-Disposition: inline; filename="apl.scm"
Last-Modified: Mon, 09 Dec 2024 06:59:06 GMT
Expires: Thu, 07 Dec 2034 06:59:06 GMT
ETag: "1c7d42b71320e9d2dfb0877675cfcd02d8e35dd2"

;;; GNU Guix --- Functional package management for GNU
;;; Copyright © 2013 Nikita Karetnikov <nikita@karetnikov.org>
;;; Copyright © 2014, 2015 Mark H Weaver <mhw@netris.org>
;;;
;;; This file is part of GNU Guix.
;;;
;;; GNU Guix is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 3 of the License, or (at
;;; your option) any later version.
;;;
;;; GNU Guix is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with GNU Guix.  If not, see <http://www.gnu.org/licenses/>.

(define-module (gnu packages apl)
  #:use-module (guix licenses)
  #:use-module (guix packages)
  #:use-module (guix download)
  #:use-module (guix build-system gnu)
  #:use-module (gnu packages gettext)
  #:use-module (gnu packages maths)
  #:use-module (gnu packages databases)
  #:use-module (gnu packages readline))

(define-public apl
  (package
    (name "apl")
    (version "1.6")
    (source
     (origin
      (method url-fetch)
      (uri (string-append "mirror://gnu/apl/apl-" version ".tar.gz"))
      (sha256
       (base32
        "057zwzvvgcrrwsl52a27w86hgy31jqq6avqq629xj7yq90qah3ay"))))
    (build-system gnu-build-system)
    (home-page "http://www.gnu.org/software/apl/")
    (inputs
     `(("gettext" ,gettext-minimal)
       ("lapack" ,lapack)
       ("sqlite" ,sqlite)
       ("readline" ,readline)))
    (arguments
     `(#:configure-flags (list (string-append
                                "--with-sqlite3="
                                (assoc-ref %build-inputs "sqlite")))))
    (synopsis "APL interpreter")
    (description
     "GNU APL is a free interpreter for the programming language APL.  It is
an implementation of the ISO standard 13751.")
    (license gpl3+)))
h'>path: <a href='/guix/log/?id=3d280dae09758954df537d22adae754897f4cf1c'>root</a>/<a href='/guix/log/build-aux?id=3d280dae09758954df537d22adae754897f4cf1c'>build-aux</a>/<a href='/guix/log/build-aux/test-env.in?id=3d280dae09758954df537d22adae754897f4cf1c'>test-env.in</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th class='left'>Age</th><th class='left'>Commit message (<a href='/guix/log/build-aux/test-env.in?id=3d280dae09758954df537d22adae754897f4cf1c&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th></tr>
<tr><td><span title='2019-10-16 22:53:40 +0200'>2019-10-16</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=a1aaca314ca94700ebe3449d6bd73522f2d243bc'>build: Remove references to 'NIX_LOCALSTATE_DIR'.</a><span class='msg-avail'>...<span class='msg-tooltip'>* build-aux/test-env.in: Remove references to 'NIX_LOCALSTATE_DIR'.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-10-16 22:53:40 +0200'>2019-10-16</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=47e99e626b46b2fc433506a822d251de68ad6241'>daemon: Remove traces of 'NIX_ROOT_FINDER'.</a><span class='msg-avail'>...<span class='msg-tooltip'>This is a followup to 2e3e5d21988fc2cafb2a9eaf4b00976ea425629d.

* build-aux/test-env.in: Remove mentions of 'NIX_ROOT_FINDER'.
* nix/libstore/gc.cc (LocalStore::collectGarbage): Adjust comment
accordingly.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2019-02-04 00:03:30 +0100'>2019-02-04</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=a87d66f371da2a84d7bba1cae58b71c9c9af73aa'>daemon: Rename 'NIX_STATE_DIR' and 'NIX_DB_DIR' environment variables.</a><span class='msg-avail'>...<span class='msg-tooltip'>Fixes &lt;https://bugs.gnu.org/22459&gt;.
Reported by Jeff Mickey &lt;j@codemac.net&gt;.

* guix/config.scm.in (%state-directory): Change NIX_STATE_DIR to
GUIX_STATE_DIRECTORY.
(%store-database-directory): Change NIX_DB_DIR to
GUIX_DATABASE_DIRECTORY.
* nix/libstore/globals.cc (Settings::processEnvironment): Likewise.
* guix/self.scm (make-config.scm): Likewise.
* build-aux/build-self.scm (make-config.scm): Likewise.
* build-aux/test-env.in: Likewise.
* tests/derivations.scm ("derivation #:leaked-env-vars"): Likewise.
* tests/guix-build.sh (GUIX_DAEMON_SOCKET): Likewise.
* tests/guix-daemon.sh (socket): Likewise.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-05-13 23:16:16 +0200'>2018-05-13</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=9e7b87ddc51c640c529d445e350c3d6ef43e301d'>build: 'test-env' does not 'guix download' non-existent files.</a><span class='msg-avail'>...<span class='msg-tooltip'>Reported by uniq10.

* build-aux/test-env.in: Check whether FILE exists before invoking 'guix
download'.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2018-04-22 23:50:49 +0200'>2018-04-22</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=479c0e3f60f54e3c3a02f71efeb49119e20d2a96'>build: Fix possible race condition in 'test-env'.</a><span class='msg-avail'>...<span class='msg-tooltip'>Reported by Mark H Weaver &lt;mhw@netris.org&gt;.

* build-aux/test-env.in: Add 'guile' invocation before 'guix download'
invocation to make sure 'guix-daemon' is listening.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2017-08-28 23:51:16 +0200'>2017-08-28</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=4f024ef3181c5235ff11789e8c8f62722f974787'>build: Remove code to download the Guile bootstrap tarball.</a><span class='msg-avail'>...<span class='msg-tooltip'>* build-aux/download.scm: Remove.
* Makefile.am (EXTRA_DIST): Remove it.
(check-system): Remove dependency on $(BOOTSTRAP_GUILE_TARBALLS).
* gnu/local.mk (nodist_bootstrap_x86_64_linux_DATA)
(nodist_bootstrap_i686_linux_DATA, nodist_bootstrap_armhf_linux_DATA)
(nodist_bootstrap_aarch64_linux_DATA, nodist_bootstrap_mips64el_linux_DATA)
(BOOTSTRAP_GUILE_TARBALLS, DISTCLEANFILES, DOWNLOAD_FILE)
(%D%/packages/bootstrap/x86_64-linux/guile-2.0.9.tar.xz)
(%D%/packages/bootstrap/i686-linux/guile-2.0.9.tar.xz)
(%D%/packages/bootstrap/armhf-linux/guile-2.0.11.tar.xz)
(%D%/packages/bootstrap/aarch64-linux/guile-2.0.14.tar.xz)
(%D%/packages/bootstrap/mips64el-linux/guile-2.0.9.tar.xz): Remove.
* build-aux/test-env.in: Add "guix download" invocation when
gnu/packages/bootstrap/guile* exists.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2016-06-26 23:11:07 +0200'>2016-06-26</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=9dd674db017dbdc451cfd35da2dc3ce08db0726a'>daemon: Rename 'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.</a><span class='msg-avail'>...<span class='msg-tooltip'>Partly fixes &lt;http://bugs.gnu.org/22459&gt;.
Reported by Jeff Mickey &lt;j@codemac.net&gt; and David Craven &lt;david@craven.ch&gt;.

* nix/libstore/globals.cc (Settings::processEnvironment()): Change
'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.
* nix/local.mk (libstore_a_CPPFLAGS): Likewise.
* guix/config.scm.in (%config-directory): Likewise.
* build-aux/test-env.in: Likewise.
* gnu/packages/patches/hydra-automake-1.15.patch: Likewise.

Signed-off-by: Ludovic Courtès &lt;ludo@gnu.org&gt;
</span></span></td><td>David Craven</td></tr>
<tr><td><span title='2016-05-04 23:35:55 +0200'>2016-05-04</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=4d9ed58498e3acb5bad1c5b862853f72bd3312aa'>build: Preserve stderr for shell tests.</a><span class='msg-avail'>...<span class='msg-tooltip'>Fixes a regression introduced in
a9edb211e733b8b34e67ec3b4450567e9376986f where the .log files of the .sh
tests would not contain stderr.

* build-aux/test-env.in: Redirect stderr only when --quiet-stderr is
passed.
* Makefile.am (SCM_LOG_DRIVER): Add --quiet-stderr.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2016-04-15 00:59:07 +0200'>2016-04-15</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=a1097caa6a30f45661ee510c59bf0e01972cebba'>build: Move environment '.in' scripts to 'build-aux' directory.</a><span class='msg-avail'>...<span class='msg-tooltip'>* pre-inst-env.in: Move to ...
* build-aux/pre-inst-env.in: ... here.
* test-env.in: Move to ...
* build-aux/test-env.in: ... here.
* configure.ac (AC_CONFIG_FILES): Adapt to this.  Keep the generated
scripts in their current location which is $(top_builddir).
</span></span></td><td>Mathieu Lirzin</td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
